package com.mortals.xhx.module.staff.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.staff.model.vo.StaffCareVo;
/**
* 员工关怀信息实体对象
*
* @author zxfei
* @date 2023-04-07
*/

public class StaffCareEntity extends StaffCareVo {
    private static final long serialVersionUID = 1L;

    /**
    * 员工ID
    */
    private Long staffId;
    /**
    * 员工姓名
    */
    private String staffName;
    /**
    * 出生日期
    */
    private Date birthday;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 职位ID
    */
    private Long jobId;
    /**
    * 职位名称
    */
    private String jobName;
    /**
    * 入职时间
    */
    private Date entryDate;
    /**
    * 关怀类型(1.生日关怀,2.入职周年关怀)
    */
    private Integer careType;
    /**
    * 发送状态(0.未发送,1.已发送)
    */
    private Integer sendStatus;
    /**
    * 关怀内容
    */
    private String content;



    public StaffCareEntity(){}
    /**
    * 获取 员工ID
    * @return Long
    */
    public Long getStaffId(){
        return staffId;
    }
    /**
    * 设置 员工ID
    * @param staffId
    */
    public void setStaffId(Long staffId){
        this.staffId = staffId;
    }
    /**
    * 获取 员工姓名
    * @return String
    */
    public String getStaffName(){
        return staffName;
    }
    /**
    * 设置 员工姓名
    * @param staffName
    */
    public void setStaffName(String staffName){
        this.staffName = staffName;
    }
    /**
    * 获取 出生日期
    * @return Date
    */
    public Date getBirthday(){
        return birthday;
    }
    /**
    * 设置 出生日期
    * @param birthday
    */
    public void setBirthday(Date birthday){
        this.birthday = birthday;
    }
    /**
    * 获取 所属部门
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 所属部门
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 所属部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 所属部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 职位ID
    * @return Long
    */
    public Long getJobId(){
        return jobId;
    }
    /**
    * 设置 职位ID
    * @param jobId
    */
    public void setJobId(Long jobId){
        this.jobId = jobId;
    }
    /**
    * 获取 职位名称
    * @return String
    */
    public String getJobName(){
        return jobName;
    }
    /**
    * 设置 职位名称
    * @param jobName
    */
    public void setJobName(String jobName){
        this.jobName = jobName;
    }
    /**
    * 获取 入职时间
    * @return Date
    */
    public Date getEntryDate(){
        return entryDate;
    }
    /**
    * 设置 入职时间
    * @param entryDate
    */
    public void setEntryDate(Date entryDate){
        this.entryDate = entryDate;
    }
    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return Integer
    */
    public Integer getCareType(){
        return careType;
    }
    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careType
    */
    public void setCareType(Integer careType){
        this.careType = careType;
    }
    /**
    * 获取 发送状态(0.未发送,1.已发送)
    * @return Integer
    */
    public Integer getSendStatus(){
        return sendStatus;
    }
    /**
    * 设置 发送状态(0.未发送,1.已发送)
    * @param sendStatus
    */
    public void setSendStatus(Integer sendStatus){
        this.sendStatus = sendStatus;
    }
    /**
    * 获取 关怀内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 关怀内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof StaffCareEntity) {
            StaffCareEntity tmp = (StaffCareEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",staffId:").append(getStaffId());
        sb.append(",staffName:").append(getStaffName());
        sb.append(",birthday:").append(getBirthday());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",jobId:").append(getJobId());
        sb.append(",jobName:").append(getJobName());
        sb.append(",entryDate:").append(getEntryDate());
        sb.append(",careType:").append(getCareType());
        sb.append(",sendStatus:").append(getSendStatus());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){

            this.staffId = null;

            this.staffName = "";

            this.birthday = null;

            this.deptId = null;

            this.deptName = "";

            this.jobId = null;

            this.jobName = "";

            this.entryDate = null;

            this.careType = 1;

            this.sendStatus = 0;

            this.content = "";
    }
}